﻿@using System.Data
@model GeneriCExcelOperations.Models.clsBindDropDownListPara
<html>
<head>
   

    <script src="~/Scripts/jquery-1.10.2.min.js"></script>
    <script type="text/javascript">
        $(document).ready(function () {
           
            $.ajax({
                url: '/Home/GetList',
                type: "POST",
                contentType: "application/json",
                dataType: "json",
                success: function (result) {
                   $(result).each(function (index, item) { 
                        $('#ddltables').append($('<option></option>').val(item.TableValue).html(item.TableName));
                    });
                    
                },
                error: function (err) {
                    alert(err.statusText);
                   }
          
                });
          });
        function JSValidate() {
          
            if ($('#ddltables').val() == "0") {
                alert("Please select a table.");
                return false;
            }
          //  checkExtension();
            UploadFile();
         
        }

        function GetData() {
            repotwindow = window.open('allreports.aspx', 'Employee Report', 'width=600,height=300');
            repotwindow.focus();
            return false;
        }

        function Validate() {


            if ($('#<%= rdoTypeOfQuery.ClientID%> input:checked').val() == undefined) {
                alert("Please select whether you want excel format with data or without data.");
                return false;
            }

            if ($('#<%=ddltables.ClientID%>').val() == "0") {
                alert("Please select a table.");
                return false;
            }

            return true;
        }

        //Upload and validate excel file.

        function UploadFile() {

          // Checking whether FormData is available in browser
        if (window.FormData !== undefined) {

            var fileUpload = $("#FileUpload1").get(0);
         
            if (fileUpload.files.length == 0)
            {
                alert('Select a file');
                return false;
            }
            var fileExtension = ['xlsx'];
            if ($.inArray($("#FileUpload1").val().split('.').pop().toLowerCase(), fileExtension) == -1) {
                alert("Only '.xlsx' formats are allowed.");
                return false;
            }
            var files = fileUpload.files;

            // Create FormData object
            var fileData = new FormData();

            // Looping over all files and add it to FormData object
            for (var i = 0; i < files.length; i++) {
                fileData.append(files[i].name, files[i]);
            }

            // Adding one more key to FormData object
            $('#loading').attr('hidden', false);
            fileData.append('username', 'prabhakar');
            var value = $('#ddltables').val();
           
            $.ajax({
                url: '/Home/UploadFiles?value=' + value,
                type: "POST",
                contentType: false, // Not to set any content header
                processData: false, // Not to process data
                data: fileData,
                success: function (result) {
                    alert(result.split(',')[0]);
                    $('#lblMessage').text(result.split(',')[0]);
                    if (result.split(',')[0] == 'Excel validation failed!')
                    {
                        $('#pnlStatus').attr('hidden', false);
                        $('#lbl_TotalRecords').text(result.split(',')[1]);
                        $('#lbl_ValidaRecords').text(result.split(',')[2]);
                        $('#lbl_InvalidRecords').text(result.split(',')[3]);
                        $('#lbl_InvalidCells').text(result.split(',')[4]);
                        $('#btnReport').attr('hidden', false);
                      
                    }
                    if (result.split(',')[0] == 'File Uploaded Successfully!') {
                        $('#pnlStatus').attr('hidden', false);
                        $('#lbl_TotalRecords').text(result.split(',')[1]);
                        $('#lbl_ValidaRecords').text(result.split(',')[2]);
                        $('#lbl_InvalidRecords').text(result.split(',')[3]);
                        $('#lbl_InvalidCells').text(result.split(',')[4]);
                        $('#btnReport').attr('hidden', true);

                    }
                    $('#loading').attr('hidden', true);
                },
                error: function (err) {
                   // alert(err.statusText);
                    $('#loading').attr('hidden', true);
                }
            });
        } else {
            alert("FormData is not supported.");
            $('#loading').attr('hidden', true);
        }
        }

        //DownLoad  excel file.

        function btndownload_OnClick() {
            if ($('#ddltables').val() == "0") {
                alert("Please select a table.");
                return false;
            }
            if ($('input[name=rdoTypeOfQuery]:checked').val() == null)
            {
                alert("Please checked radio button.");
                return false;
            }
            $('#loading').attr('hidden', false);
            var datatoexport = { 'exportHeader': "download" };
            // Checking whether FormData is available in browser
            if (window.FormData !== undefined) {
                var value = $('#ddltables').val();
                var radiodata = $('input[name=rdoTypeOfQuery]:checked').val();

               $.ajax({
                   url: '/Home/DownLoadXLFile?tableName='+value+'&typeData=' + radiodata,
                   type: "POST",
                   contentType: "application/json",
                   dataType: "json",
                    data: JSON.stringify(datatoexport),
                    success: function (result) {
                        
                        FetchURL(result, "Sheets");
                        $('#loading').attr('hidden', true);
                    },
                    error: function (err) {
                        $('#loading').attr('hidden', true);
                    }
                });
            } else {
                alert("FormData is not supported.");
                $('#loading').attr('hidden', true);
            }
        }
        function FetchURL(filename, FolderName) {
            var url = "/Export/Index?filename=" + filename + "&FolderName=" + FolderName + "";
            window.location = url;
           }

        //Genrate Error

        function GenerateError() {
           
           if (window.FormData !== undefined) {
              
                $.ajax({
                    url: '/Home/GenrateError',
                    type: "POST",
                    contentType: "application/json",
                    dataType: "json",
                   // data: JSON.stringify(datatoexport),
                    success: function (result) {

                        FetchURL(result, "Upload");
                       
                    },
                    error: function (err) {
                        alert('hi' + result.d);
                       
                    }
                });
            } else {
                alert("FormData is not supported.");
            }
        }
        //Page refresh
        function btnReset_Click()
        {
            window.location.replace('/Home/Index');
        }

        //check extension of a file
        //function checkExtension () {
        //    $("#FileUpload1").change(function () {
        //        var fileExtension = ['xlsx'];
        //        if ($.inArray($(this).val().split('.').pop().toLowerCase(), fileExtension) == -1) {
        //            alert("Only '.xlsx' formats are allowed.");
        //            return false;
        //        }
        //    })
        //}
    </script>
    <style>
        .box-style-table {
            border:1px solid #ddd;
            padding:10px;
        }
        .content-inner-top {
            margin-top:25px;
        }
    </style>
    </head>
<body>
   

    

    <div class="content-mn">
        <div class="content-inner-top field-tp">


            <div class="col-lg-4">
                <div class="form-group">
                    <label class="col-lg-12 control-label">Generic Bulk Uploader</label>
                    
                </div>
            </div>


            <div class="col-lg-8">
                <div class="form-group">
                    <label class="col-lg-12 control-label">Download/Upload Data</label>
                    
                </div>
            </div>

        </div>

        

        

    </div>
 @*<div class="page-header">
        <div class="pull-left">
            <table style="width: 90%;">
                <tr>
                    <td>
                        <h4>
                            Generic Bulk Uploader
                        </h4>
                    </td>

                </tr>
            </table>
        </div>
    </div>*@

    <div class="row-fluid">
        <div class="span12">
            <div class="box box-color box-bordered">
                @*<div class="box-title">
                    <h3>
                        <i class="icon-cloud-upload"></i>Download/Upload Data

                    </h3>
                </div>*@
                <div class="box-content">
                    <table style="margin-top: 5px;">
                        <tr>

                            <td  valign="top" class="box-style-table">
                                <span style="font-size: 13px; color: Green; font-weight: bold;">Tables :</span><br />
                                <select id="ddltables">
                                    <option value="0">Select</option>
                                 </select>
                             
                               
                            </td>
                            <td valign="top" class="box-style-table">
                                <div id="pnldownload">
                                    <table class="headerstyle">
                                        <tr>
                                            <td align="left">
                                                <i class="icon-download-alt"></i>
                                            </td>
                                            <td>
                                                <span style="font-size: 13px; color: Green; font-weight: bold;">DOWNLOAD FORMAT :</span>
                                            </td>
                                        </tr>
                                    </table>
                                    <div class="empboss" style="width: 268px; height: 100px; background-color: White; padding-left: 10px; padding-top: 20px;">
                                        <div>
                                            <label id="lblmsg" forecolor="#ffb8b8"></label>
                                        </div>
                                        <table align="center">
                                            <tr>

                                                <td valign="top" style="padding-top: 20px;">
                                                    <div style="padding-left: 5px; padding-right: 30px;">
                                                        Without Data:
                                                        <input type="radio" name="rdoTypeOfQuery" value="1" /><br />
                                                        With Data
                                                        <input type="radio" name="rdoTypeOfQuery" value="2" />

                                                        <input type="button" id="btndownload" value="Download XL Format"
                                                               class="btn btn-green" onclick="return btndownload_OnClick();" />

                                                    </div>
                                                    <div id="loading" hidden="hidden"><img class="loader-img" src="~/images/loading.gif" /></div>
                                                </td>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </td>
                            
                            <td valign="top" class="box-style-table">
                                <table class="headerstyle">
                                    <tr>
                                        <td align="left">
                                            <i class="icon-upload-alt"></i>
                                        </td>
                                        <td>
                                            <span style="font-size: 13px; color: Green; font-weight: bold;">
                                                UPLOAD DATA:
                                            </span>
                                        </td>
                                    </tr>
                                </table>
                                <div class="empboss" style="padding: 10px; background-color: White; width: 93%;">
                                    <table>
                                        <tr>
                                            <td>
                                                <i class="icon-info-sign"></i>
                                            </td>
                                            <td>
                                                <span style="font-size: 13px; color: Green; font-weight: bold; font-style: italic;">INSTRUCTIONS : </span>
                                            </td>
                                        </tr>
                                    </table>
                                    <div style="padding-left: 5px; font-size: 11px; width: 273px;">
                                      
                                        1.First select table from dropdown.
                                        <br />
                                        2. 	Download existing data to make changes
                                        <br />
                                        3. Do not delete or insert columns
                                        <br />
                                        4. Do not modify column headings
                                        <br />
                                        5. Enter value in column (Action) for each row<br />
                                       



                                        <div class="borderstyle" style="padding: 10px; width: 255px; height: auto;">
                                            <div style="padding-bottom: 7px;">
                                                &nbsp;Browse File:
                                                @*<input type="file" id="flUpload" font-italic="True" font-names="calibri"
                            class="uploadstyle" backcolor="#DFDFDF" />*@
                                                <input type="file" id="FileUpload1" multiple />
                                            </div>
                                            <div>
                                                &nbsp;Click to Upload :
                                                <input type="button" id="btnUpload" value="Upload" width="93px"
                                                       class="btn btn-green" onclick=" return JSValidate();" />
                                            </div>
                                            <div>
                                                <label id="lblMessage" style="background-color: #ffb8b8"></label>

                                            </div>
                                        </div>

                                    </div>
                            </td>
                           
                            <td valign="top" class="box-style-table" id="pnlStatus" hidden="hidden">
                                <div>
                                    <table class="headerstyle">
                                        <tr>
                                            <td align="left">
                                                <i class="icon-desktop"></i>
                                            </td>
                                            <td>
                                                <span style="font-size: 13px; color: Green; font-weight: bold;">CHECK STATUS: </span>
                                            </td>
                                        </tr>
                                    </table>
                                    <div class="empboss" style="width: 163px; padding: 10px;">
                                        <table>
                                            <tr>
                                                <td valign="top">
                                                    Total Records :
                                                </td>
                                                <td valign="top">
                                                    <label id="lbl_TotalRecords" font-bold="True" forecolor="Green"></label>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td valign="top">
                                                    Valid Records :
                                                </td>
                                                <td valign="top">
                                                    <label id="lbl_ValidaRecords" font-bold="True" forecolor="Green" text="0"></label>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td valign="top">
                                                    Invalid Records :
                                                </td>
                                                <td valign="top">
                                                    <label id="lbl_InvalidRecords" forecolor="Red" text="0"></label>
                                                </td>
                                            </tr>
                                            <tr>
                                                <td valign="top">
                                                    Invalid Cells :
                                                </td>
                                                <td valign="top">
                                                    <label id="lbl_InvalidCells" forecolor="Red" text="0"></label>
                                                </td>
                                            </tr>
                                            @*<tr>
                            <td valign="top">
                                Miss Match Records :
                            </td>
                            <td valign="top">
                                <label id="lbl_MishMatch" forecolor="Red" text="0" />
                            </td>

                        </tr>*@
                                        </table>
                                        <div align="center" style="padding-top: 5px;">
                                            <input type="button" id="btnReport" value="Check Report"
                                                   class="btn-danger" onclick="return GenerateError();" />
                                            @*<input type="button" id="btnUnMatchRecord" value="C.T.Records" hidden="hidden"
                        class="btn-danger" onclick="btnUnMatchRecord_Click" />*@
                                            <input type="button" id="btnReset" value="Reset" onclick="return btnReset_Click();" class="btn-danger" />
                                        </div>
                                    </div>
                                    </input>

                                </div>
                            </td>
                            <td valign="top" align="left">
                                <div style="margin-top: 28px;">
                                    <label id="lblcomerr" for="lblcomerr" />
                                </div>
                            </td>
                        </tr>
                    </table>
                 
                </div>
            </div>
        </div>

    </div>
    </body>
</html>
